[1,"Installing 'keras' ...\r\n"]
[1,"\r\n"]
[1,"\r\n"]
[1,"\r\n"]
[1,"[1/3] Installing reticulate...\r\n"]
[1,"\r\n"]
[2,"Installing package into 'C:/Users/Logistika/Documents/R/win-library/3.6'\r\n(as 'lib' is unspecified)\r\n"]
[2,"Warning: unable to access index for repository https://cran.rstudio.com/bin/windows/contrib/3.6:\r\n  cannot open URL 'https://cran.rstudio.com/bin/windows/contrib/3.6/PACKAGES'\r\n"]
[1,"  These will not be installed\r\n"]
[1,"\r\n"]
[1,"\r\n"]
[1,"[2/3] Installing tensorflow...\r\n"]
[1,"\r\n"]
[2,"Package which is only available in source form, and may need\r\n  compilation of C/C++/Fortran: 'reticulate'\r\nInstalling package into 'C:/Users/Logistika/Documents/R/win-library/3.6'\r\n(as 'lib' is unspecified)\r\n"]
[2,"also installing the dependency 'reticulate'\r\n\r\n"]
[1,"  These will not be installed\r\n"]
[2,"Warning: unable to access index for repository https://cran.rstudio.com/bin/windows/contrib/3.6:\r\n  cannot open URL 'https://cran.rstudio.com/bin/windows/contrib/3.6/PACKAGES'\r\nPackage which is only available in source form, and may need\r\n  compilation of C/C++/Fortran: 'reticulate'\r\ninstalling the source package 'tensorflow'\r\n\r\ntrying URL 'https://cran.rstudio.com/src/contrib/tensorflow_2.16.0.tar.gz'\r\n"]
[2,"Content type 'application/x-gzip' length 65093 bytes (63 KB)\r\n==================================================\r\ndownloaded 63 KB\r\n\r\n"]
[2,"* installing *source* package 'tensorflow' ...\r\n** package 'tensorflow' successfully unpacked and MD5 sums checked\r\n"]
[2,"** using staged installation\r\n"]
[2,"** R\r\n"]
[2,"** byte-compile and prepare package for lazy loading\r\n"]
[1,"Error in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]) : \r\n"]
[1,"  namespace 'reticulate' 1.28 is being loaded, but >= 1.32 is required\r\n"]
[1,"Calls: <Anonymous> ... withCallingHandlers -> loadNamespace -> namespaceImport -> loadNamespace\r\n"]
[1,"Execution halted\r\n"]
[2,"ERROR: lazy loading failed for package 'tensorflow'\r\n* removing 'C:/Users/Logistika/Documents/R/win-library/3.6/tensorflow'\r\n* restoring previous 'C:/Users/Logistika/Documents/R/win-library/3.6/tensorflow'\r\n"]
[1,"\r\n"]
[1,"\r\n"]
[1,"[3/3] Installing keras...\r\n"]
[1,"\r\n"]
[2,"\r\nThe downloaded source packages are in\r\n\t'C:\\Users\\Logistika\\AppData\\Local\\Temp\\Rtmp2ThiNA\\downloaded_packages'\r\nInstalling package into 'C:/Users/Logistika/Documents/R/win-library/3.6'\r\n(as 'lib' is unspecified)\r\n"]
[2,"also installing the dependencies 'reticulate', 'tensorflow'\r\n\r\n"]
[1,"  These will not be installed\r\n"]
[2,"Warning: unable to access index for repository https://cran.rstudio.com/bin/windows/contrib/3.6:\r\n  cannot open URL 'https://cran.rstudio.com/bin/windows/contrib/3.6/PACKAGES'\r\nPackage which is only available in source form, and may need\r\n  compilation of C/C++/Fortran: 'reticulate'\r\ninstalling the source packages 'tensorflow', 'keras'\r\n\r\ntrying URL 'https://cran.rstudio.com/src/contrib/tensorflow_2.16.0.tar.gz'\r\n"]
[2,"Content type 'application/x-gzip' length 65093 bytes (63 KB)\r\n==================================================\r\ndownloaded 63 KB\r\n\r\ntrying URL 'https://cran.rstudio.com/src/contrib/keras_2.15.0.tar.gz'\r\n"]
[2,"Content type 'application/x-gzip' length 3543818 bytes (3.4 MB)\r\n===="]
[2,"=="]
[2,"============"]
[2,"="]
[2,"========="]
[2,"="]
[2,"========"]
[2,"="]
[2,"=========="]
[2,"==\r\ndownloaded 3.4 MB\r\n\r\n"]
[2,"* installing *source* package 'tensorflow' ...\r\n** package 'tensorflow' successfully unpacked and MD5 sums checked\r\n"]
[2,"** using staged installation\r\n"]
[2,"** R\r\n"]
[2,"** byte-compile and prepare package for lazy loading\r\n"]
[1,"Error in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]) : \r\n"]
[1,"  namespace 'reticulate' 1.28 is being loaded, but >= 1.32 is required\r\n"]
[1,"Calls: <Anonymous> ... withCallingHandlers -> loadNamespace -> namespaceImport -> loadNamespace\r\n"]
[1,"Execution halted\r\n"]
[2,"ERROR: lazy loading failed for package 'tensorflow'\r\n* removing 'C:/Users/Logistika/Documents/R/win-library/3.6/tensorflow'\r\n* restoring previous 'C:/Users/Logistika/Documents/R/win-library/3.6/tensorflow'\r\n"]
[2,"* installing *source* package 'keras' ...\r\n"]
[2,"** package 'keras' successfully unpacked and MD5 sums checked\r\n** using staged installation\r\n"]
[2,"** R\r\n"]
[2,"** inst\r\n"]
[2,"** byte-compile and prepare package for lazy loading\r\n"]
[1,"Error in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]) : \r\n"]
[1,"  namespace 'reticulate' 1.28 is being loaded, but >= 1.31 is required\r\n"]
[1,"Calls: <Anonymous> ... namespaceImportFrom -> asNamespace -> loadNamespace\r\n"]
[1,"Execution halted\r\n"]
[2,"ERROR: lazy loading failed for package 'keras'\r\n* removing 'C:/Users/Logistika/Documents/R/win-library/3.6/keras'\r\n"]
[2,"\r\nThe downloaded source packages are in\r\n\t'C:\\Users\\Logistika\\AppData\\Local\\Temp\\Rtmp2ThiNA\\downloaded_packages'\r\n\r\n\r\n<U+2714> Package 'keras' successfully installed.\r\nWarning messages:\r\n1: In utils::install.packages(\"tensorflow\", repos = \"https://cran.rstudio.com/\") :\r\n  installation of package 'tensorflow' had non-zero exit status\r\n2: In utils::install.packages(\"keras\", repos = \"https://cran.rstudio.com/\") :\r\n  installation of package 'tensorflow' had non-zero exit status\r\n3: In utils::install.packages(\"keras\", repos = \"https://cran.rstudio.com/\") :\r\n  installation of package 'keras' had non-zero exit status\r\n"]
